# ConfigurationException

Extends \Exception

ConfigurationException is thrown by Phing during the configuration and setup phase of the project.

author | Hans Lellelid hans@xmpl.org
version | $Id: f5672973a0e8f94bc824729aed7285130e4322a3 $
package | phing

### Methods

## Construct a ConfigurationException.

    __construct(\Exception|string $p1, \Exception|null $p2 = null)

Supported signatures: throw new BuildException($causeExc); throw new BuildException($msg); throw new BuildException($msg, $causeExc);

### Arguments

#### $p1

`\Exception|string`

#### $p2

`\Exception|null`

## Gets the cause exception.

    getCause() : \Exception

### Response

`\Exception`

### Properties

## Location in the xml file.

    location : \Location

var |

### Type(s)

`\Location`

## The nested "cause" exception.

    cause : \Exception

var |

### Type(s)

`\Exception`